Package org.eclipse.emf.cdo.lm.server

# Interface LMRepositoryProperties

public interface LMRepositoryProperties

Since:
  1.3
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`LIFECYCLE_MANAGER`
`static final String`
`MODULE_NAME`
`static final String`
`MODULE_TYPE_NAME`
`static final String`
`REPOSITORY_TYPE`
`static final String`
`REPOSITORY_TYPE_MODULE`
`static final String`
`REPOSITORY_TYPE_SYSTEM`
`static final String`
`SYSTEM_NAME`

## Field Details

### LIFECYCLE_MANAGER

static final String LIFECYCLE_MANAGER

See Also:
  - Constant Field Values

### REPOSITORY_TYPE

static final String REPOSITORY_TYPE

See Also:
  - Constant Field Values

### REPOSITORY_TYPE_SYSTEM

static final String REPOSITORY_TYPE_SYSTEM

See Also:
  - Constant Field Values

### REPOSITORY_TYPE_MODULE

static final String REPOSITORY_TYPE_MODULE

See Also:
  - Constant Field Values

### SYSTEM_NAME

static final String SYSTEM_NAME

See Also:
  - Constant Field Values

### MODULE_NAME

static final String MODULE_NAME

See Also:
  - Constant Field Values

### MODULE_TYPE_NAME

static final String MODULE_TYPE_NAME

See Also:
  - Constant Field Values